Bug 200337 - Bigloo debugger will not start
Bigloo debugger will not start
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bigloo (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 18:30 EDT by Jerry James
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 12:18:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2006-07-26 18:30:46 EDT
Description of problem:
Any attempt to launch bdb at all, no matter the command line arguments, results
in this output:

*** ERROR:class-num:
Type `vector' expected, `bcnst' provided -- #unspecified

and the program fails to start.

Version-Release number of selected component (if applicable):
bigloo-2.8b-2.fc5

How reproducible:
Always.

Steps to Reproduce:
1. Type 'bdb' at the command line
2.
3.
  
Actual results:
The error message reported in the description is shown and the command prompt
reappears.

Expected results:
bdb should have started correctly and let me debug a program.

Additional info:
Comment 1 Gérard Milmeister 2006-07-26 20:12:09 EDT
This is a Scheme error. Could please file a bug report upstream?
Comment 2 Jerry James 2006-07-31 12:12:09 EDT
I reported this bug to the bigloo mailing list.  On Sunday, Manuel Serrano sent
mail to that list saying that the bug is now fixed in CVS, but gave no
indication of how it was fixed.
Comment 3 Gérard Milmeister 2006-07-31 13:07:27 EDT
I tried bigloo2.8c-alpha28Jul06.tar.gz, but it still has the problem.
We will have to wait a few days.
Comment 4 Gérard Milmeister 2006-08-03 04:04:22 EDT
The bug is apparently fixed in
ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/bigloo2.8c-alpha02Aug06.tar.gz

There are some issues I have to discuss with Manual, but
I will soon make a new release.
Comment 5 Gérard Milmeister 2006-08-31 12:18:10 EDT
I made a build of a beta release of 2.8c, and bdb seems to
work now.

Note You need to log in before you can comment on or make changes to this bug.